Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1018489 - Review Request: griffon - A Grails-like Rich Application Platform
Summary: Review Request: griffon - A Grails-like Rich Application Platform
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-10-12 15:36 UTC by Alex Irmel Oviedo Solis
Modified: 2017-02-19 12:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 13:09:40 UTC


Attachments (Terms of Use)

Description Alex Irmel Oviedo Solis 2013-10-12 15:36:30 UTC
Spec URL: http://alexove.fedorapeople.org/rpmbuild/SPECS/griffon.spec
SRPM URL: http://alexove.fedorapeople.org/rpmbuild/SRPMS/griffon-1.4.0-1.fc19.src.rpm
Description: Griffon is an application framework for developing desktop applications in the JVM, with Groovy being the primary language of choice.
Fedora Account System Username: alexove

Comment 1 Alex Irmel Oviedo Solis 2013-10-12 15:40:29 UTC
This is my first package for fedora. I need a package sponsor, I propose to echevemaster as my sponsor please.

Comment 2 Alex Irmel Oviedo Solis 2013-10-12 15:41:20 UTC
This is my first package for fedora. I need a package sponsor, propose to echevemaste as my sponsor, please

Comment 3 Christopher Meng 2013-10-12 18:05:41 UTC
DO NOT CHANGE FIELDS REGARDLESS OF YOURS.

Comment 4 Johan Swensson 2013-10-21 20:26:52 UTC
* License tag is invalid.
* Documentation is not put in the correct place. Take a look at the %doc macro.
* Package contains prepackaged jar-files: http://fedoraproject.org/wiki/Packaging:Java#Pre-built_JAR_files_.2F_Other_bundled_software
* Use a correct Source URL http://fedoraproject.org/wiki/Packaging:SourceURL
* Upstream url seems invalid, it should probably be http://griffon.codehaus.org and not http://www.grails.org

I'm afraid this package is gonna need some work. These are just some starting points.

Rpmlint
-------
Checking: griffon-1.4.0-1.fc19.noarch.rpm
          griffon-1.4.0-1.fc19.src.rpm
griffon.noarch: E: devel-dependency java-devel
griffon.noarch: W: no-version-in-last-changelog
griffon.noarch: W: invalid-license Apache 2.0
griffon.noarch: W: no-documentation
griffon.noarch: E: zero-length /usr/share/griffon/samples/GroovyEdit/griffon-app/i18n/messages.properties
griffon.noarch: E: zero-length /usr/share/griffon/samples/Greet/griffon-app/lifecycle/Stop.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/WeatherWidget/griffon-app/lifecycle/Shutdown.groovy
griffon.noarch: E: script-without-shebang /usr/share/griffon/samples/Greet/griffon-app/services/greet/MicroblogService.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/WeatherWidget/griffon-app/lifecycle/Ready.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/WeatherWidget/griffon-app/i18n/messages.properties
griffon.noarch: E: zero-length /usr/share/griffon/samples/FontPicker/griffon-app/lifecycle/Ready.groovy
griffon.noarch: E: script-without-shebang /usr/share/griffon/bin/griffonsh.bat
griffon.noarch: E: wrong-script-end-of-line-encoding /usr/share/griffon/bin/griffonsh.bat
griffon.noarch: E: script-without-shebang /usr/share/griffon/bin/startGriffon
griffon.noarch: E: zero-length /usr/share/griffon/samples/FileViewer/griffon-app/lifecycle/Stop.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/FontPicker/griffon-app/lifecycle/Stop.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/WeatherWidget/griffon-app/lifecycle/Startup.groovy
griffon.noarch: E: script-without-shebang /usr/share/griffon/bin/griffon-debug.bat
griffon.noarch: E: zero-length /usr/share/griffon/samples/WeatherWidget/griffon-app/lifecycle/Stop.groovy
griffon.noarch: E: script-without-shebang /usr/share/griffon/bin/startGriffon.bat
griffon.noarch: E: wrong-script-end-of-line-encoding /usr/share/griffon/bin/startGriffon.bat
griffon.noarch: E: zero-length /usr/share/griffon/samples/FileViewer/griffon-app/i18n/messages.properties
griffon.noarch: E: script-without-shebang /usr/share/griffon/bin/griffon.bat
griffon.noarch: E: wrong-script-end-of-line-encoding /usr/share/griffon/bin/griffon.bat
griffon.noarch: E: zero-length /usr/share/griffon/samples/Greet/griffon-app/lifecycle/Shutdown.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/Greet/griffon-app/lifecycle/Startup.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/Greet/griffon-app/i18n/messages.properties
griffon.noarch: E: script-without-shebang /usr/share/griffon/samples/Greet/test/unit/MicroblogServiceTests.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/FontPicker/griffon-app/lifecycle/Shutdown.groovy
griffon.noarch: E: zero-length /usr/share/griffon/samples/FontPicker/griffon-app/i18n/messages.properties
griffon.noarch: W: empty-%post
griffon.noarch: W: class-path-in-manifest /usr/share/griffon/lib/itext-2.0.8.jar
griffon.noarch: W: class-path-in-manifest /usr/share/griffon/lib/radeox-1.0-b2.jar
griffon.src: W: no-version-in-last-changelog
griffon.src: W: invalid-license Apache 2.0
griffon.src: W: invalid-url Source0: griffon-1.4.0-src.tgz
2 packages and 0 specfiles checked; 27 errors, 9 warnings.

Comment 5 Eduardo Echeverria 2014-01-22 03:33:08 UTC
Lifting FE-NEEDSPONSOR, Alex has been sponsored.

Comment 6 Christopher Meng 2014-01-22 05:04:46 UTC
You can use %{version} macro in the Source0 tag.

Comment 7 gil cattaneo 2015-12-12 09:53:34 UTC
New home:    http://griffon-framework.org/
New release: 2.5.0 https://github.com/griffon/griffon/tags
Please, rework your spec file to use system libraries


Note You need to log in before you can comment on or make changes to this bug.